Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 137453 - Install fails on Linux: requires javafx.sdk
Install fails on Linux: requires javafx.sdk
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Platform
6.x
Other Linux
: P2 (vote)
: TBD
Assigned To: Adam Sotona
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 15:46 UTC by indy
Modified: 2008-06-26 10:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description indy 2008-06-17 15:46:56 UTC
Installing the JavaFX Plugin daily build 2008-06-17_02-32-47.tar.gz fails on Linux with 'requires javafx.sdk'.

System: Java: 1.6.0-b105, Linux/x86 Kubuntu 7.10, NetBeans 6.1
Comment 1 Alexandr Scherbatiy 2008-06-24 16:12:43 UTC
On Mon, Jun 23, 2008 at 9:04 PM, Alexandr Scherbatiy
<Alexandr.Scherbatiy@sun.com> wrote:

> >  The JavaFX Script plugin works with NetBeans IDE 6.1 now.

I still get a "requires javafx.sdk" error when I try and install the
latest nightly nbms on NetBeans 6.1. I'm on Linux (Ubuntu). What am I
missing?

Product Version: NetBeans IDE 6.1 (Build 200805300101)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22
System: Linux version 2.6.24-19-generic running on i386; UTF-8; en_IN (nb)

Thanks,
Arvind
Comment 2 Adam Sotona 2008-06-25 09:14:40 UTC
You are missing org-netbeans-modules-javafx-sdk-lin.nbm in your zip.
Try some more fresh build then 06-17.
Comment 3 Alexandr Scherbatiy 2008-06-25 09:57:55 UTC
The latest build 2008-06-25_02-32-47.zip does not contain org-netbeans-modules-javafx-sdk-lin.nbm
Comment 4 dnivra 2008-06-25 10:43:17 UTC
I get the same error on Solaris SPARC as well. I tried 2008-06-24_02-32-47.tar.gz and 2008-06-25_02-32-47.tar.gz from 

Product Version: NetBeans IDE 6.1 (Build 200805300101)
Java: 1.6.0_10-beta; Java HotSpot(TM) Client VM 11.0-b12
System: SunOS version 5.10 running on sparc; ISO646-US; en (nb

In addition to the 'requires javafx.sdk' error, I also see the following when I try to install the nbms from
2008-06-25_02-32-47.tar.gz

"module org.netbeans.modules.javafx.navigation > 1.0"
Comment 5 Alexandr Scherbatiy 2008-06-25 10:46:27 UTC
> I get the same error on Solaris SPARC as well. I tried 2008-06-24_02-32-47.tar.gz and 2008-06-25_02-32-47.tar.gz from 

I think that it is better to have one SDK for all platforms ( issue 138201 )

> In addition to the 'requires javafx.sdk' error, I also see the following when I try to install the nbms from
> 2008-06-25_02-32-47.tar.gz
> "module org.netbeans.modules.javafx.navigation > 1.0"

It is a regression. See issue 138192
Comment 6 Adam Sotona 2008-06-25 11:11:32 UTC
I don't know where where is the problem but these are log tails from the last successful daily builds I see:


tar cvf - nbms/javafx/org-netbeans-modules-api-debugger-javafx.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-ant.nbm nbms/javafx/org-netbeans-modules-debugger-javafx-projects.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-ui.nbm nbms/javafx/org-netbeans-modules-debugger-javafx.nbm
nbms/javafx/org-netbeans-modules-javafx-bestpractices.nbm nbms/javafx/org-netbeans-modules-javafx-debug.nbm
nbms/javafx/org-netbeans-modules-javafx-editor.nbm nbms/javafx/org-netbeans-modules-javafx-kit.nbm
nbms/javafx/org-netbeans-modules-javafx-lexer.nbm nbms/javafx/org-netbeans-modules-javafx-lib.nbm
nbms/javafx/org-netbeans-modules-javafx-palette.nbm nbms/javafx/org-netbeans-modules-javafx-platform.nbm
nbms/javafx/org-netbeans-modules-javafx-profiler.nbm nbms/javafx/org-netbeans-modules-javafx-project.nbm
nbms/javafx/org-netbeans-modules-javafx-sdk-lin.nbm nbms/javafx/org-netbeans-modules-javafx-sdk-mac.nbm
nbms/javafx/org-netbeans-modules-javafx-sdk-sol.nbm nbms/javafx/org-netbeans-modules-javafx-sdk-win.nbm
nbms/javafx/org-netbeans-modules-javafx-source.nbm nbms/javafx/org-netbeans-modules-javafx-userlib.nbm
nbms/javafx/org-netbeans-modules-javafx-weather2.nbm 
a nbms/javafx/org-netbeans-modules-api-debugger-javafx.nbm 43K
a nbms/javafx/org-netbeans-modules-debugger-javafx-ant.nbm 32K
a nbms/javafx/org-netbeans-modules-debugger-javafx-projects.nbm 96K
a nbms/javafx/org-netbeans-modules-debugger-javafx-ui.nbm 211K
a nbms/javafx/org-netbeans-modules-debugger-javafx.nbm 335K
a nbms/javafx/org-netbeans-modules-javafx-bestpractices.nbm 80K
a nbms/javafx/org-netbeans-modules-javafx-debug.nbm 46K
a nbms/javafx/org-netbeans-modules-javafx-editor.nbm 304K
a nbms/javafx/org-netbeans-modules-javafx-kit.nbm 82K
a nbms/javafx/org-netbeans-modules-javafx-lexer.nbm 76K
a nbms/javafx/org-netbeans-modules-javafx-lib.nbm 1819K
a nbms/javafx/org-netbeans-modules-javafx-palette.nbm 104K
a nbms/javafx/org-netbeans-modules-javafx-platform.nbm 91K
a nbms/javafx/org-netbeans-modules-javafx-profiler.nbm 55K
a nbms/javafx/org-netbeans-modules-javafx-project.nbm 344K
a nbms/javafx/org-netbeans-modules-javafx-sdk-lin.nbm 5832K
a nbms/javafx/org-netbeans-modules-javafx-sdk-mac.nbm 5570K
a nbms/javafx/org-netbeans-modules-javafx-sdk-sol.nbm 5753K
a nbms/javafx/org-netbeans-modules-javafx-sdk-win.nbm 5773K
a nbms/javafx/org-netbeans-modules-javafx-source.nbm 104K
a nbms/javafx/org-netbeans-modules-javafx-userlib.nbm 27K
a nbms/javafx/org-netbeans-modules-javafx-weather2.nbm 3871K
+ cd nbms/compress 
+ ln -s 2008-06-25_02-01-48.zip javafx_nbm-dev-all.zip 
finished: SUCCESS




remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-userlib.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-debugger-javafx-projects.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-debugger-javafx.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-sdk-sol.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-project.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-source.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-sdk-mac.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-bestpractices.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-weather2.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-kit.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-debug.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-api-debugger-javafx.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-lexer.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-sdk-lin.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-debugger-javafx-ui.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-palette.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-lib.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-platform.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-sdk-win.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-editor.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-javafx-profiler.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/javafx,local file:org-netbeans-modules-debugger-javafx-ant.nbm
remote folderPath 61/daily/2008-06-24_02-01-48/compress,local file:2008-06-24_02-01-48.tar.gz
remote folderPath 61/daily/2008-06-24_02-01-48/compress,local file:javafx_nbm-dev-all.zip
remote folderPath 61/daily/2008-06-24_02-01-48/compress,local file:2008-06-24_02-01-48.zip
finished: SUCCESS

 
Comment 7 Martin Ryzl 2008-06-25 11:16:32 UTC
please make sure that there are no older versions of the modules, starting with fresh userdir would help.
Comment 8 Alexandr Scherbatiy 2008-06-25 11:18:57 UTC
Here is a console from: http://deadlock.netbeans.org/hudson/job/JavaFX_NB_daily/71/console
It is different form above one and does not contain org-netbeans-modules-javafx-sdk-lin.nbm:

+ zip nbms/compress/2008-06-25_02-32-47.zip nbms/javafx/org-netbeans-modules-api-debugger-javafx.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-ant.nbm nbms/javafx/org-netbeans-modules-debugger-javafx-projects.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-ui.nbm nbms/javafx/org-netbeans-modules-debugger-javafx.nbm
nbms/javafx/org-netbeans-modules-javafx-bestpractices.nbm nbms/javafx/org-netbeans-modules-javafx-debug.nbm
nbms/javafx/org-netbeans-modules-javafx-editor.nbm nbms/javafx/org-netbeans-modules-javafx-kit.nbm
nbms/javafx/org-netbeans-modules-javafx-lexer.nbm nbms/javafx/org-netbeans-modules-javafx-lib.nbm
nbms/javafx/org-netbeans-modules-javafx-palette.nbm nbms/javafx/org-netbeans-modules-javafx-platform.nbm
nbms/javafx/org-netbeans-modules-javafx-profiler.nbm nbms/javafx/org-netbeans-modules-javafx-project.nbm
nbms/javafx/org-netbeans-modules-javafx-sdk-mac.nbm nbms/javafx/org-netbeans-modules-javafx-sdk-win.nbm
nbms/javafx/org-netbeans-modules-javafx-source.nbm nbms/javafx/org-netbeans-modules-javafx-userlib.nbm
nbms/javafx/org-netbeans-modules-javafx-weather2.nbm
  adding: nbms/javafx/org-netbeans-modules-api-debugger-javafx.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-debugger-javafx-ant.nbm (deflated 3%)
  adding: nbms/javafx/org-netbeans-modules-debugger-javafx-projects.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-debugger-javafx-ui.nbm (deflated 0%)
  adding: nbms/javafx/org-netbeans-modules-debugger-javafx.nbm (deflated 0%)
  adding: nbms/javafx/org-netbeans-modules-javafx-bestpractices.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-debug.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-editor.nbm (deflated 0%)
  adding: nbms/javafx/org-netbeans-modules-javafx-kit.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-lexer.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-lib.nbm (deflated 0%)
  adding: nbms/javafx/org-netbeans-modules-javafx-palette.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-platform.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-profiler.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-project.nbm (deflated 0%)
  adding: nbms/javafx/org-netbeans-modules-javafx-sdk-mac.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-sdk-win.nbm (deflated 2%)
  adding: nbms/javafx/org-netbeans-modules-javafx-source.nbm (deflated 1%)
  adding: nbms/javafx/org-netbeans-modules-javafx-userlib.nbm (deflated 4%)
  adding: nbms/javafx/org-netbeans-modules-javafx-weather2.nbm (deflated 0%)
+ tar cvf - nbms/javafx/org-netbeans-modules-api-debugger-javafx.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-ant.nbm nbms/javafx/org-netbeans-modules-debugger-javafx-projects.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-ui.nbm nbms/javafx/org-netbeans-modules-debugger-javafx.nbm
nbms/javafx/org-netbeans-modules-javafx-bestpractices.nbm nbms/javafx/org-netbeans-modules-javafx-debug.nbm
nbms/javafx/org-netbeans-modules-javafx-editor.nbm nbms/javafx/org-netbeans-modules-javafx-kit.nbm
nbms/javafx/org-netbeans-modules-javafx-lexer.nbm nbms/javafx/org-netbeans-modules-javafx-lib.nbm
nbms/javafx/org-netbeans-modules-javafx-palette.nbm nbms/javafx/org-netbeans-modules-javafx-platform.nbm
nbms/javafx/org-netbeans-modules-javafx-profiler.nbm nbms/javafx/org-netbeans-modules-javafx-project.nbm
nbms/javafx/org-netbeans-modules-javafx-sdk-mac.nbm nbms/javafx/org-netbeans-modules-javafx-sdk-win.nbm
nbms/javafx/org-netbeans-modules-javafx-source.nbm nbms/javafx/org-netbeans-modules-javafx-userlib.nbm
nbms/javafx/org-netbeans-modules-javafx-weather2.nbm
+ gzip
nbms/javafx/org-netbeans-modules-api-debugger-javafx.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-ant.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-projects.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx-ui.nbm
nbms/javafx/org-netbeans-modules-debugger-javafx.nbm
nbms/javafx/org-netbeans-modules-javafx-bestpractices.nbm
nbms/javafx/org-netbeans-modules-javafx-debug.nbm
nbms/javafx/org-netbeans-modules-javafx-editor.nbm
nbms/javafx/org-netbeans-modules-javafx-kit.nbm
nbms/javafx/org-netbeans-modules-javafx-lexer.nbm
nbms/javafx/org-netbeans-modules-javafx-lib.nbm
nbms/javafx/org-netbeans-modules-javafx-palette.nbm
nbms/javafx/org-netbeans-modules-javafx-platform.nbm
nbms/javafx/org-netbeans-modules-javafx-profiler.nbm
nbms/javafx/org-netbeans-modules-javafx-project.nbm
nbms/javafx/org-netbeans-modules-javafx-sdk-mac.nbm
nbms/javafx/org-netbeans-modules-javafx-sdk-win.nbm
nbms/javafx/org-netbeans-modules-javafx-source.nbm
nbms/javafx/org-netbeans-modules-javafx-userlib.nbm
nbms/javafx/org-netbeans-modules-javafx-weather2.nbm
Terminating xvnc
[workspace] $ vncserver -kill :11
Killing Xvnc process ID 25218
finished: SUCCESS

Comment 9 dnivra 2008-06-25 12:28:10 UTC
maybe there's a permissions problem with the 2 Unix org-netbeans-modules-javafx-sdk-*.nbm files?
Comment 10 dnivra 2008-06-25 12:45:32 UTC
I also noticed the following log messages (at http://deadlock.netbeans.org/hudson/job/JavaFX_NB_daily/71/console) for
-win and -mac but not for -sol and -lin.


+ cat
+ echo javafx-sdk.win.url=file:///hudson/workdir/jobs/JavaFX_NB_daily/workspace/sdk/openjfx_sdk-1_0-pre1.zip
+ echo javafx-sdk.mac.url=file:///hudson/workdir/jobs/JavaFX_NB_daily/workspace/sdk/openjfx_sdk-1_0-pre1.zip
Comment 11 Martin Ryzl 2008-06-25 13:21:10 UTC
please try the next build #72 and later
Comment 12 dnivra 2008-06-25 14:04:57 UTC
Thanks for fixing the 'requires javafx.sdk' error. I tried on both Solaris SPARC and Linux with Build#74 and do not see
this error.

Now, I'm blocked by issue 138192.
Comment 13 Adam Sotona 2008-06-26 10:34:09 UTC
hopefully finally fixed
Comment 14 Alexandr Scherbatiy 2008-06-26 10:37:31 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo